diff --git a/frontend/src/pages/About.js b/frontend/src/pages/About.js
index c90d6ec..b0732c8 100644
--- a/frontend/src/pages/About.js
+++ b/frontend/src/pages/About.js
@@ -1,63 +1,107 @@
-import React, { useEffect } from "react";
+import React, { useEffect, useState } from "react";
 import { Link } from "react-router-dom";
-import { Users, Target, Award, Heart, ArrowRight } from "lucide-react";
+import {
+  Users,
+  Target,
+  Award,
+  Heart,
+  ArrowRight,
+  Zap,
+  Shield,
+  Star,
+  Lightbulb,
+} from "lucide-react";
 import { Button } from "../components/ui/button";
 import { Badge } from "../components/ui/badge";
+import axios from "axios";
+
+const API = `${process.env.REACT_APP_BACKEND_URL}/api`;
+
+// Icon mapping for company values
+const iconMap = {
+  Target: Target,
+  Users: Users,
+  Award: Award,
+  Heart: Heart,
+  Zap: Zap,
+  Shield: Shield,
+  Star: Star,
+  Lightbulb: Lightbulb,
+};
 
 const About = () => {
+  const [team, setTeam] = useState([]);
+  const [values, setValues] = useState([]);
+  const [content, setContent] = useState({});
+  const [loading, setLoading] = useState(true);
+
   useEffect(() => {
     window.scrollTo(0, 0);
+    fetchAboutData();
   }, []);
 
-  const team = [
-    {
-      name: "Alex Johnson",
-      role: "Founder & CEO",
-      image:
-        "https://images.unsplash.com/photo-1507003211169-0a1dd7228f2d?w=400",
-    },
-    {
-      name: "Sarah Williams",
-      role: "Head of Operations",
-      image:
-        "https://images.unsplash.com/photo-1494790108377-be9c29b29330?w=400",
-    },
-    {
-      name: "Mike Chen",
-      role: "Lead Technician",
-      image:
-        "https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?w=400",
-    },
-    {
-      name: "Emily Davis",
-      role: "Customer Success",
-      image:
-        "https://images.unsplash.com/photo-1438761681033-6461ffad8d80?w=400",
-    },
-  ];
+  const fetchAboutData = async () => {
+    try {
+      const [teamRes, valuesRes, contentRes] = await Promise.all([
+        axios.get(`${API}/about/team`),
+        axios.get(`${API}/about/values`),
+        axios.get(`${API}/about/content`),
+      ]);
 
-  const values = [
-    {
-      icon: Target,
-      title: "Quality First",
-      desc: "We never compromise on the quality of our products and services.",
-    },
-    {
-      icon: Users,
-      title: "Customer Focus",
-      desc: "Your satisfaction is our top priority. We listen and deliver.",
-    },
-    {
-      icon: Award,
-      title: "Excellence",
-      desc: "We strive for excellence in everything we do.",
-    },
-    {
-      icon: Heart,
-      title: "Integrity",
-      desc: "Honest, transparent, and ethical business practices.",
-    },
-  ];
+      setTeam(teamRes.data || []);
+      setValues(valuesRes.data || []);
+
+      // Convert content array to object keyed by section
+      const contentObj = {};
+      (contentRes.data || []).forEach((item) => {
+        contentObj[item.section] = item;
+      });
+      setContent(contentObj);
+    } catch (error) {
+      console.error("Error fetching about data:", error);
+      // Use fallback data if API fails
+      setTeam([]);
+      setValues([
+        {
+          icon: "Target",
+          title: "Quality First",
+          description:
+            "We never compromise on the quality of our products and services.",
+        },
+        {
+          icon: "Users",
+          title: "Customer Focus",
+          description:
+            "Your satisfaction is our top priority. We listen and deliver.",
+        },
+        {
+          icon: "Award",
+          title: "Excellence",
+          description: "We strive for excellence in everything we do.",
+        },
+        {
+          icon: "Heart",
+          title: "Integrity",
+          description: "Honest, transparent, and ethical business practices.",
+        },
+      ]);
+    } finally {
+      setLoading(false);
+    }
+  };
+
+  // Get icon component from string name
+  const getIcon = (iconName) => {
+    return iconMap[iconName] || Target;
+  };
+
+  if (loading) {
+    return (
+      <div className="min-h-screen flex items-center justify-center">
+        <div className="animate-spin w-8 h-8 border-2 border-primary border-t-transparent rounded-full" />
+      </div>
+    );
+  }
 
   return (
     <div className="min-h-screen">
@@ -70,15 +114,15 @@ const About = () => {
                 About PromptTech Solutions
               </Badge>
               <h1 className="text-4xl sm:text-5xl font-bold font-['Outfit'] leading-tight">
-                Your Trusted
+                {content.hero?.title || "Your Trusted"}
                 <br />
-                <span className="text-muted-foreground">Tech Partner</span>
+                <span className="text-muted-foreground">
+                  {content.hero?.subtitle || "Tech Partner"}
+                </span>
               </h1>
               <p className="text-lg text-muted-foreground leading-relaxed">
-                Founded in 2020, PromptTech Solutions has grown from a small
-                repair shop to a comprehensive tech solutions provider. We
-                combine quality products with expert services to deliver the
-                best tech experience.
+                {content.hero?.content ||
+                  "Founded in 2021, PromptTech Solutions has evolved from a small repair shop into a comprehensive tech solutions provider. We're here to guide you through any technology challenge—whether it's laptops, desktops, smartphones, or other devices. With expert service and personalized support, we deliver reliable solutions for all your tech needs."}
               </p>
               <div className="flex flex-wrap gap-4">
                 <Link to="/products" data-testid="about-shop-now">
@@ -97,9 +141,12 @@ const About = () => {
 
             <div className="relative">
               <img
-                src="https://images.unsplash.com/photo-1522071820081-009f0129c71c?w=800"
-                alt="Our Team"
-                className="rounded-2xl shadow-2xl"
+                src={
+                  content.hero?.image_url ||
+                  "/uploads/media/aa5bcc15-3b1e-4ed8-8708-1a3dceb9494d.jpg"
+                }
+                alt="Tech Repair Services"
+                className="rounded-2xl shadow-2xl w-full h-auto max-h-[500px] object-cover"
                 data-testid="about-hero-image"
               />
               {/* Stats Card */}
@@ -118,12 +165,14 @@ const About = () => {
       <section className="py-12 bg-muted/30">
         <div className="max-w-7xl mx-auto px-4 md:px-8">
           <div className="grid grid-cols-2 md:grid-cols-4 gap-8">
-            {[
-              { value: "50K+", label: "Happy Customers" },
-              { value: "10K+", label: "Products Sold" },
-              { value: "15K+", label: "Repairs Done" },
-              { value: "98%", label: "Satisfaction Rate" },
-            ].map((stat, idx) => (
+            {(
+              content.stats?.data?.stats || [
+                { value: "1K+", label: "Happy Customers" },
+                { value: "500+", label: "Products Sold" },
+                { value: "1,500+", label: "Repairs Done" },
+                { value: "90%", label: "Satisfaction Rate" },
+              ]
+            ).map((stat, idx) => (
               <div
                 key={idx}
                 className="text-center"
@@ -144,28 +193,37 @@ const About = () => {
         <div className="max-w-4xl mx-auto px-4 md:px-8">
           <div className="text-center mb-12">
             <h2 className="text-3xl md:text-4xl font-bold font-['Outfit'] mb-4">
-              Our Story
+              {content.story?.title || "Our Story"}
             </h2>
           </div>
           <div className="prose prose-lg dark:prose-invert max-w-none">
-            <p className="text-muted-foreground leading-relaxed mb-6">
-              PromptTech Solutions started with a simple vision: to make quality
-              tech accessible and provide expert support that customers can
-              trust. What began as a small phone repair shop has evolved into a
-              full-service tech destination.
-            </p>
-            <p className="text-muted-foreground leading-relaxed mb-6">
-              Our team of certified technicians brings decades of combined
-              experience in electronics repair, from smartphones to laptops and
-              everything in between. We've helped thousands of customers bring
-              their devices back to life.
-            </p>
-            <p className="text-muted-foreground leading-relaxed">
-              Today, we're proud to offer a curated selection of premium
-              electronics alongside our repair services. Every product we sell
-              meets our high standards for quality, and every repair we do is
-              backed by our satisfaction guarantee.
-            </p>
+            {content.story?.content ? (
+              <div
+                className="text-muted-foreground leading-relaxed"
+                dangerouslySetInnerHTML={{ __html: content.story.content }}
+              />
+            ) : (
+              <>
+                <p className="text-muted-foreground leading-relaxed mb-6">
+                  PromptTech Solutions started with a simple vision: to make
+                  quality tech accessible and provide expert support that
+                  customers can trust. What began as a small phone repair shop
+                  has evolved into a full-service tech destination.
+                </p>
+                <p className="text-muted-foreground leading-relaxed mb-6">
+                  Our team of certified technicians brings decades of combined
+                  experience in electronics repair, from smartphones to laptops
+                  and everything in between. We've helped thousands of customers
+                  bring their devices back to life.
+                </p>
+                <p className="text-muted-foreground leading-relaxed">
+                  Today, we're proud to offer a curated selection of premium
+                  electronics alongside our repair services. Every product we
+                  sell meets our high standards for quality, and every repair we
+                  do is backed by our satisfaction guarantee.
+                </p>
+              </>
+            )}
           </div>
         </div>
       </section>
@@ -183,61 +241,115 @@ const About = () => {
           </div>
 
           <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-6">
-            {values.map((value, idx) => {
-              const Icon = value.icon;
-              return (
-                <div
-                  key={idx}
-                  className="p-6 rounded-2xl bg-card border border-border hover-lift text-center"
-                  data-testid={`value-${idx}`}
-                >
-                  <div className="w-14 h-14 mx-auto mb-4 rounded-full bg-primary/10 flex items-center justify-center">
-                    <Icon className="h-7 w-7 text-primary" />
-                  </div>
-                  <h3 className="text-lg font-semibold mb-2 font-['Outfit']">
-                    {value.title}
-                  </h3>
-                  <p className="text-sm text-muted-foreground">{value.desc}</p>
-                </div>
-              );
-            })}
+            {values.length > 0
+              ? values.map((value, idx) => {
+                  const Icon = getIcon(value.icon);
+                  return (
+                    <div
+                      key={value.id || idx}
+                      className="p-6 rounded-2xl bg-card border border-border hover-lift text-center"
+                      data-testid={`value-${idx}`}
+                    >
+                      <div className="w-14 h-14 mx-auto mb-4 rounded-full bg-primary/10 flex items-center justify-center">
+                        <Icon className="h-7 w-7 text-primary" />
+                      </div>
+                      <h3 className="text-lg font-semibold mb-2 font-['Outfit']">
+                        {value.title}
+                      </h3>
+                      <p className="text-sm text-muted-foreground">
+                        {value.description}
+                      </p>
+                    </div>
+                  );
+                })
+              : // Fallback values
+                [
+                  {
+                    icon: Target,
+                    title: "Quality First",
+                    desc: "We never compromise on the quality of our products and services.",
+                  },
+                  {
+                    icon: Users,
+                    title: "Customer Focus",
+                    desc: "Your satisfaction is our top priority. We listen and deliver.",
+                  },
+                  {
+                    icon: Award,
+                    title: "Excellence",
+                    desc: "We strive for excellence in everything we do.",
+                  },
+                  {
+                    icon: Heart,
+                    title: "Integrity",
+                    desc: "Honest, transparent, and ethical business practices.",
+                  },
+                ].map((value, idx) => {
+                  const Icon = value.icon;
+                  return (
+                    <div
+                      key={idx}
+                      className="p-6 rounded-2xl bg-card border border-border hover-lift text-center"
+                      data-testid={`value-${idx}`}
+                    >
+                      <div className="w-14 h-14 mx-auto mb-4 rounded-full bg-primary/10 flex items-center justify-center">
+                        <Icon className="h-7 w-7 text-primary" />
+                      </div>
+                      <h3 className="text-lg font-semibold mb-2 font-['Outfit']">
+                        {value.title}
+                      </h3>
+                      <p className="text-sm text-muted-foreground">
+                        {value.desc}
+                      </p>
+                    </div>
+                  );
+                })}
           </div>
         </div>
       </section>
 
       {/* Team */}
-      <section className="py-16 md:py-24">
-        <div className="max-w-7xl mx-auto px-4 md:px-8">
-          <div className="text-center mb-12">
-            <h2 className="text-3xl md:text-4xl font-bold font-['Outfit'] mb-4">
-              Meet Our Team
-            </h2>
-            <p className="text-muted-foreground max-w-2xl mx-auto">
-              The people behind PromptTech Solutions' success
-            </p>
-          </div>
+      {team.length > 0 && (
+        <section className="py-16 md:py-24">
+          <div className="max-w-7xl mx-auto px-4 md:px-8">
+            <div className="text-center mb-12">
+              <h2 className="text-3xl md:text-4xl font-bold font-['Outfit'] mb-4">
+                Meet Our Team
+              </h2>
+              <p className="text-muted-foreground max-w-2xl mx-auto">
+                The people behind PromptTech Solutions' success
+              </p>
+            </div>
 
-          <div className="grid grid-cols-2 md:grid-cols-4 gap-6">
-            {team.map((member, idx) => (
-              <div
-                key={idx}
-                className="group text-center"
-                data-testid={`team-member-${idx}`}
-              >
-                <div className="relative mb-4 overflow-hidden rounded-2xl aspect-square">
-                  <img
-                    src={member.image}
-                    alt={member.name}
-                    className="w-full h-full object-cover transition-transform duration-500 group-hover:scale-110"
-                  />
+            <div
+              className={`grid grid-cols-2 ${team.length <= 3 ? "md:grid-cols-3" : "md:grid-cols-4"} gap-6`}
+            >
+              {team.map((member, idx) => (
+                <div
+                  key={member.id || idx}
+                  className="group text-center"
+                  data-testid={`team-member-${idx}`}
+                >
+                  <div className="relative mb-4 overflow-hidden rounded-2xl aspect-square">
+                    <img
+                      src={
+                        member.image_url ||
+                        "https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?w=400"
+                      }
+                      alt={member.name}
+                      className="w-full h-full object-cover transition-transform duration-500 group-hover:scale-110"
+                    />
+                  </div>
+                  <h3 className="font-semibold font-['Outfit']">
+                    {member.name}
+                  </h3>
+                  <p className="text-sm text-muted-foreground">{member.role}</p>
                 </div>
-                <h3 className="font-semibold font-['Outfit']">{member.name}</h3>
-                <p className="text-sm text-muted-foreground">{member.role}</p>
-              </div>
-            ))}
+              ))}
+            </div>
           </div>
-        </div>
-      </section>
+        </section>
+      )}
 
       {/* CTA */}
       <section className="py-16 md:py-24 bg-primary text-primary-foreground">
